Bug 471809 - Review Request: gnome-gmail-notifier - A simple application that monitors Gmail inboxes
Review Request: gnome-gmail-notifier - A simple application that monitors Gma...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 14:41 EST by Ian Weller
Modified: 2008-11-22 11:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 05:57:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-11-16 14:41:46 EST
Spec URL: http://ianweller.fedorapeople.org/SRPMS/gnome-gmail-notifier/0.9.4-1/gnome-gmail-notifier.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/gnome-gmail-notifier/0.9.4-1/gnome-gmail-notifier-0.9.4-1.fc9.src.rpm

Description:
The GNOME Gmail Notifier is a project designed to provide a simple, easy-
to-use application that monitors users' gmail inbox(es), and to deliver
the appropriate notifications when new mail exists.
Comment 1 Parag AN(पराग) 2008-11-16 23:38:57 EST
Need some work
1) remove vendor tag as per https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor
  I see some warnings also for desktop file but its ok. You can check those warnings in build log or output of desktop-file-validate

2) also you can remove original desktop file along with above fix as
from 
rm %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="fedora" --dir=%{buildroot}%{_datadir}/applications data/%{name}.desktop
to
desktop-file-install                                    \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applications/%{name}.desktop

3) preserve timestamps by using make install as
make install DESTDIR=%{buildroot} INSTALL="install -p"
Comment 2 Ian Weller 2008-11-17 00:06:28 EST
* Sun Nov 16 2008 Ian Weller <ianweller@gmail.com> 0.9.4-2
- Patch desktop file to correctly define the application's icon
- Fix desktop file installation
- Keep timestamps on installed files
- Change URL to actual URL instead of Google Code project page

Spec: http://ianweller.fedorapeople.org/SRPMS/gnome-gmail-notifier/0.9.4-2/gnome-gmail-notifier.spec
SRPM: http://ianweller.fedorapeople.org/SRPMS/gnome-gmail-notifier/0.9.4-2/gnome-gmail-notifier-0.9.4-2.fc9.src.rpm
Comment 3 Parag AN(पराग) 2008-11-17 01:24:56 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=935765
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
822426b19510036d14c00ed2ea24a899  gnome-gmail-notifier-0.9.4.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

Suggestions:-
   Build is successful if you remove BR:gettext As currently no translations ar e present you can avoid adding this BR:gettext 
  see http://koji.fedoraproject.org/koji/taskinfo?taskID=935770 without BR:gettext
APPROVED.
Comment 4 Ian Weller 2008-11-17 01:39:26 EST
Thanks.

New Package CVS Request
=======================
Package Name: gnome-gmail-notifier
Short Description: A simple application that monitors Gmail inboxes
Owners: ianweller
Branches: F-9 F-10
Comment 5 Kevin Fenzi 2008-11-18 22:48:52 EST
cvs done.
Comment 6 Fedora Update System 2008-11-19 00:36:50 EST
gnome-gmail-notifier-0.9.4-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gnome-gmail-notifier-0.9.4-3.fc9
Comment 7 Fedora Update System 2008-11-19 00:36:53 EST
gnome-gmail-notifier-0.9.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gnome-gmail-notifier-0.9.4-3.fc10
Comment 8 Fedora Update System 2008-11-21 05:57:54 EST
gnome-gmail-notifier-0.9.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-11-22 11:53:19 EST
gnome-gmail-notifier-0.9.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.